# frozen_string_literal: true

require 'yard'
require 'yard/templates/helpers/markup_helper'
require 'commonmarker/compat_renderer'

# @see https://github.com/lsegal/yard/blob/master/lib/yard/templates/helpers/markup_helper.rb#L26
YARD::Templates::Helpers::MarkupHelper::MARKUP_PROVIDERS[:markdown] <<
  { lib: :commonmarker, const: 'CommonMarker::CompatRenderer' }
YARD::Templates::Helpers::MarkupHelper::MARKUP_PROVIDERS[:commonmark] =
  [{ lib: :commonmarker, const: 'CommonMarker::CompatRenderer' }]
